//******************************************************************************
// Call of Duty 2 - eXtreme+ modification
//******************************************************************************
// author   : Astoroth and the eXtreme+ Support Crew
// email    : astoroth@gom.me.uk
// website  : http://www.mycallofduty.com
//
// mod      : eXtreme+
// version  : 2.3
// update   : November 2007
//******************************************************************************


//******************************************************************************
// IF YOU ARE GOING TO USE A DEFAULT SETTING ITS BEST TO LEAVE IT COMMENTED OUT.
//   (e.g. leave the // in front of the set command)
// COD2 has a max dvar limit (1280), and to avoid reaching this limit all settings that
// have a default setting you were going to use anyway should be best left commented out.
//******************************************************************************

//******************************************************************************
// Music Controls
//******************************************************************************
// intro music when player joins server 1 =
// 0 = disable, 1 = map specific with voiceover, 2 = map specific without voiceover, 3 = random music only
set ex_intromusic "1"

// spectator music
// 0 = disable, 1 = enable, default = 0
set ex_specmusic "1"

// death music, when player is killed...this disables forced respawn!
// 0 = disable, 1 = enable, default = 0
set ex_deathmusic "0"

// end of game music, this overrides statsboard & map voting music!
// 0 = disable, 1 = enable, default = 0
set ex_endmusic "1"

// end of game music time - set this to the value you want to delay map rotation
// 10 = default, 30 = max
set ex_endmusic_time "10" 

// statsboard music
// 0 = disable, 1 = enable, default = 0
//set ex_statsmusic "1"

// map voting music
// 0 = disable, 1 = enable, default = 0
//set ex_votemusic "1"


//******************************************************************************
// Announcements Sounds
//******************************************************************************
// good luck - plays on first team spawn only
// 0 = disable, 1 = enable, default = 0
set ex_goodluck "1"

// first kill per game/round
// 0 = disable, 1 = enable, default = 0
set ex_firstblood "1"

// players connecting/disconnecting sound
// 0 = disable, 1 = enable, default = 0
set ex_plcdsound "1"

// time announcer (time remaining and score)
// 0 = disable
// 1 = clock changes colour with time announcements
// 2 = clock colours stays white
set ex_announcer "1"

// announce time (audio)
// 0 = disable, 1 = enable, default = 0
set ex_antime "1"

// announce score (text)
// 0 = disable, 1 = enable, default = 0
set ex_anscore "1"


//******************************************************************************
// Hud indicators
//******************************************************************************
// control death icons
// 0 = disable, 1 = enable, default = 0
//set ex_deathicons "1"

// control grenade indicators
// 0 = disable, 1 = enable, default = 0
//set ex_grenadeind "1"

// control hit blip
// 0 = disable, 1 = enable, default = 0
set ex_codhitblip "1"

// Objective indicators (CTF, HQ, S&D)
// 0 = disable, 1 = enable, default = 0
set ex_objindicator "1"


//******************************************************************************
// Welcome messages
//******************************************************************************
// the mod will automatically add, Welcome PLAYERSNAME to the YOURSERVERNAME server
// as the first line displayed and then the second line will inform the player of their voting status
// after then you have 3 lines you can customise, these are in the custom.str file.
//
// welcome player
// 0 = disable, 1 = enable, default = 0
set ex_pwelcome "1"

// Set the number of messages to display
// 0 = disable, max = 3, default = 0
set ex_pwelcome_msg "3"

// delay between welcome messages in seconds
// 0 = disable, max = 10, default = 0
set ex_pwelcome_delay "2"


//******************************************************************************
// Fall damage modifiers
//******************************************************************************
// enable fall damage modifiers
set ex_falldamage_enable "1"
//set ex_falldamage_enable_sd "0"
//set ex_falldamage_enable_hq "0"
//set ex_falldamage_enable_ctf "0"
//set ex_falldamage_enable_htf "0"
//set ex_falldamage_enable_chq "0"
//set ex_falldamage_enable_lts "0"
//set ex_falldamage_enable_mp_breakout "0"
//set ex_falldamage_enable_mp_trainstation "0"
//set ex_falldamage_enable_mp_rhine "0"

// fall damage MAX height in ft
set ex_falldamage_max "30"

// fall damage MIN height in ft
set ex_falldamage_min "15"


//******************************************************************************
// Minefields  ((Not Landmines))
//******************************************************************************
// 0 = Minefields OFF
// 1 = Minefields ON (default)
// 2 = Gas Minefields
// 3 = Napalm Minefields
//set ex_minefields "2"

// Minimum and maximum damage by gas mines
// 1 - 100, default 25 (min) to 30 (max)
set ex_gasmine_min "5"
set ex_gasmine_max "10"

// Minimum and maximum damage by napalm mines
// 1 - 100, default 25 (min) to 30 (max)
set ex_napalmmine_min "5"
set ex_napalmmine_max "10"


//******************************************************************************
// Message of the day Messages (MOTD)
//******************************************************************************
// There is no limit, the motd system will start over automatically when the last
// motd message has been displayed.
// NEVER use motd0, it is reserved for the server itself.

// MOTD display delay
// 0 = disable, 1 = enable, default = 0
set ex_motd_rotate "1"

// Set time in seconds between messages, it is advisable not to try and use colour symbols in the
// motd, the game kind of messes them up, its a case of trial and error!
// min = 5, max = 60, default = 5
set ex_motd_delay "3"

// lines of text for message of the day, you can set as little or as many as you like!
set ex_motd1 "Welcome to our server, we hope you enjoy your stay with us."
set ex_motd2 "This server is running the ^3e^1X^3treme^2+^7 modification for Call of Duty 2"
set ex_motd3 "Too many TK's and you may get kicked from the server!"
set ex_motd4 "Modifications thanks to www.mycallofduty.com"


//******************************************************************************
// Server messages
//******************************************************************************
// set the number of messages to be displayed, the messages are created in the
// custom.str file included with extreme+
// 0 = disable, max = 10, default = 0
set ex_svrmsg "4"

// delay between server messages in seconds
// min = 1, max = 120, default = 30
set ex_svrmsg_delay_msg "3"

// pause before displaying server messages
// if looping is enabled, half the main delay if before the first message, and half
// of it after the last one.
// min = 60, max = 900 (15 minutes), default = 60
set ex_svrmsg_delay_main "300"

// display next map and/or next gametype
// 0 = disabled, 1 = map only, 2 = gametype only, 3 = map and gametype, default = 0
//set ex_svrmsg_info "3"

// display map rotation
// This will display normal, player based and random rotations. If you have map
// voting enabled, it will only display a message informing players that this
// server is using the map voting feature.
// a rotation.
// 0 = disable, 1 = enable, default = 0
set ex_svrmsg_rotation "1"

// loop messages?
// 0 = disable, 1 = enable, default = 0
set ex_svrmsg_loop "1"


//******************************************************************************
// Server rules (for command monitor "WARP" only)
//******************************************************************************
// Set the rules to be displayed by including the rule number in the string
// If you only want rules 2, 4 and 6 set ex_svrrules "246"
// The messages are created in the custom.str file included with extreme+
// 1 = NO FOUL LANGUAGE, RACIAL or SEXUAL REMARKS
// 2 = NO HOPPING and NO DIVING to dodge bullets
// 3 = DO NOT KILL UNARMED PLAYERS
// 4 = DO NOT EXPLOIT MAP GLITCHES
// 5 = DO NOT MASSMURDER NOOBS
// 6 = DO NOT ACT LIKE AN ASSHOLE
// 7 = NO ROAMING and NO BACKING UP to make a kill
// 8 = DO NOT SHOOT RUNNERS! They are spawners going to hide
// 9 = NO CLOSE COMBAT. Only 75+ yards shots
// 0 = NO CROSSING IN TDM
set ex_svrrules "12345"


//******************************************************************************
// Statsboard
//******************************************************************************
// show the extreme+ statsboard at the end of the match?
// 0 = disable, 1 = enable, default = 0
set ex_stbd "1"

// allow kill and death stats to be shown?
// 0 = disable, 1 = enable, default = 1
set ex_stbd_kd "1"

// allow scores and efficiency to be shown?
// 0 = disable, 1 = enable, default = 1
set ex_stbd_se "1"

// time to display statsboard (in seconds)
// 0 = disable, max = 120, default = 20
//set ex_stbd_time "30"

// time to display statsboard, based on the number of stats (in seconds)
// e.g. if the board displays 10 stats, with this set to 5 the board lasts 50 seconds.
// If set to 0 then the maximum time will be used
// 0 = disable, max 10, default = 0
//set ex_stbd_tps "5"

// show rank or team icons on the statsboard
// If this is turned on, the max number of players in the list is 5, not 7
// 0 = disable, 1 = enable, default = 0
//set ex_stbd_icons "1"

// move the board to the right, so you can see the end-of-game chat
// 0 = disable, max 150, default = 0
//set ex_stbd_movex "150"

// allow fading effects on the statsboard
// 0 = disable, 1 = enable, default = 0
//set ex_stbd_fade "1"

// log the statsboard data into the log
// 0 = disable, 1 = enable, default = 0
//set ex_stbd_log "1"


//******************************************************************************
// Livestats HUD
//******************************************************************************
// show number of alive players in each team
// 0 = disable, 1 = enable, default = 0
//set ex_livestats "1"


//******************************************************************************
// Playerstats HUD
//******************************************************************************
// Show stats dashboard on players's HUD (master switch)
// Dashboard can hold a maximum of 5 stats
// 0 = disable (default)
// 1 = enable
//set ex_statshud "0"

// Safe mode: disable certain features automatically (due to HUD element limit):
// - Logo Picture (miscfeatures.cfg - ex_logopic)
// - Livestats (miscfeatures.cfg - ex_livestats)
// - Sprint HUD (playercontrol.cfg - ex_sprint_hud)
// - Sprint HUD Hint (playercontrol.cfg - ex_sprint_hud_hint)
// 0 = disable
// 1 = enable (default)
//set ex_statshud_safemode "1"

// Auto-hide stats dashboard between updates (global switch)
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_autohide "1"

// If auto-hide enabled, after how many seconds
// min = 1, max = 10, default = 3
//set ex_statshud_autohide_sec "3"

// Allow players to toggle auto-hide on and off (for themselves)
// They must hold the MELEE button for 5 seconds while standing and not moving
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_autohide_toggle "1"

// Transparency of stats dashboard
// 0 = disabled, 1 - 9 = level of transparency (higher is more), default = 4
//set ex_statshud_transp "4"

// Statistic -- Flag captures
// If no flag based gametype is active, it will not count towards max
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_cflag "1"

// Statistic -- Total number of kills
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_kills "1"

// Statistic -- Sniper kills
// 0 = disable, 1 = enable, default = 0
//set ex_statshud_skills "0"

// Statistic -- Headshot kills
// 0 = disable, 1 = enable, default = 0
//set ex_statshud_hkills "0"

// Statistic -- Bash kills
// 0 = disable, 1 = enable, default = 0
//set ex_statshud_bkills "0"

// Statistic -- Team kills
// 0 = disable, 1 = enable, default = 0
//set ex_statshud_tkills "0"

// Statistic -- Total number of deaths
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_deaths "1"

// Statistic -- Efficiency
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_eff "1"

// Statistic -- Longest killing spree
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_lspree "1"

// Statistic -- Longest distance shot
// 0 = disable, 1 = enable, default = 1
//set ex_statshud_ldist "1"

// Statistic -- Longest headshot
// 0 = disable, 1 = enable, default = 0
//set ex_statshud_lhead "0"


//******************************************************************************
// Range finder (binocs and snipers only)
// For snipers aiming down the scope, press USE key to see the range to your target
//******************************************************************************
// 0 = disable, 1 = enable, default = 0
set ex_rangefinder "1"
// 0 = metres, 1 = yards, default = 1
set ex_rfunit "1"


//******************************************************************************
// Logo
//******************************************************************************
// displays a logo in the top left of the screen, if you know what you're doing you can replace
// all these images or just the fixed COD2 extreme+ logo with your own clanlogo, there is no
// official support for doing this!
// 0 = disable (default)
// 1 = fixed COD2 extreme+ logo
// 2 = team flag with extreme+ logo
//set ex_logopic "2"


//******************************************************************************
// Add to favorites
//******************************************************************************
// Add a menu option to the in-game menu, which allows players to add the
// extreme+ server to their favorites.
// It requires that net_ip is set on your command line, otherwise the server
// will be referenced as "localhost", which is not very useful for a link to an
// external host.
// 0 = disable
// 1 = enabled (default)
//set ex_addtofavorites "1"

// Overrule IP address read from net_ip
// Especially useful for home servers behind a port-forwarding router
//set ex_addtofavorites_ip "1.2.3.4"


//******************************************************************************
// MyLogo HUD system: clan image and text
//******************************************************************************
// Show custom clan image.
// Image must be named "logo.iwi" and copied into the "images" folder of the
// client side iwd file (materials file "logo" assumes this name).
// 0 = disable (default)
// 1 = enable
set ex_mylogo_showimage "1"

// Image X (horizontal) position on screen.
// min = 0, max = 640, default = 590
set ex_mylogo_image_posx "570"

// Image Y (vertical) position on screen.
// min = 0, max = 480, default = 118
set ex_mylogo_image_posy "50"

// Image X (horizontal) dimension in pixels.
// min = 0, max = 512, default = 80
set ex_mylogo_image_sizex "160"

// Image Y (vertical) dimension in pixels.
// min = 0, max = 512, default = 80
set ex_mylogo_image_sizey "160"

// Image transparency.
// min = 0, max = 9, default = 0
//set ex_mylogo_image_transp "0"

// Show custom clan text.
// Text is taken from "custom.str" in the "localizedstrings" folder of the
// client side iwd file.
// 0 = disabled (default)
// 1 = enabled
//set ex_mylogo_showtext "0"

// Text X (horizontal) position on screen
// min = 0, max = 640, default = 590
//set ex_mylogo_text_posx "590"

// Text Y (vertical) position on screen
// min = 0, max = 480, default = 75
//set ex_mylogo_text_posy "75"

// Text transparency.
// min = 0, max = 9, default = 0
//set ex_mylogo_text_transp "0"

// Loop time for fading effects (seconds)
// 0 = disable (always on)
// 1 - 3600 = time to pause after fading out (default 120)
//set ex_mylogo_looptime "120"

// Time to pause between fade in and fade out (seconds)
// min = 1, max = 3600, default = 10
//set ex_mylogo_fadewait "10"


//******************************************************************************
// Spawn Point Cleanup (mainly for debugging ERROR: G_Spawn: no free entities)
//******************************************************************************
// Free up entities by removing unused spawnpoints.
// 0 = disabled (default)
// 1 = enabled
//set ex_entities "0"

// Debugging: dump entities list to log before and after freeing up.
// Also creates a HUD element showing the number of script_origin entities.
// 0 = disabled (default)
// 1 = enabled
//set ex_entities_debug "0"
